/*
 * Project name:
     Quiz Unit
 * Copyright:
     (c) Danny H. Newport, 2005.
 * Description:
     This program is setup for use as a quiz unit for whomever pushes the
 *   button first the corresponding light comes on.
 * Test configuration:
     MCU:             P16F84A
     Dev.Board:       EasyPIC2
     Oscillator:      HS, ANY MHZ
     Ext. Modules:    -
     SW:              mikroC v2.10
 * NOTES:
     Port A 0-3 = outputs
     Port B 0-3 = inputs
     Use the mstr reset to reset game unit
*/

void main() {
  INTCON     = 0;   // Disable PEIE, INTE, RBIE, T0IE
  PORTB = 0;
  PORTA = 0;
  TRISB = 0xff; //INPUTS
  TRISA = 0x00; //OUTPUTS

 do {
  while (!PORTA)   //wait for button to be pressed
  {
   PORTA = PORTB;
  
  }

  } while (1);
}
